Create a new chart
curl --request POST \
--url https://api.honeyhive.ai/v1/charts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"metric": "<string>",
"description": "<string>",
"func": "<string>",
"groupBy": "<string>",
"bucketing": "day",
"dateRange": {
"relative": "<string>"
},
"query": [
{
"field": "<string>",
"value": "<string>",
"type": "<string>",
"operator": "<string>"
}
],
"owner_id": "<string>"
}
'import requests
url = "https://api.honeyhive.ai/v1/charts"
payload = {
"name": "<string>",
"metric": "<string>",
"description": "<string>",
"func": "<string>",
"groupBy": "<string>",
"bucketing": "day",
"dateRange": { "relative": "<string>" },
"query": [
{
"field": "<string>",
"value": "<string>",
"type": "<string>",
"operator": "<string>"
}
],
"owner_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
metric: '<string>',
description: '<string>',
func: '<string>',
groupBy: '<string>',
bucketing: 'day',
dateRange: {relative: '<string>'},
query: [{field: '<string>', value: '<string>', type: '<string>', operator: '<string>'}],
owner_id: '<string>'
})
};
fetch('https://api.honeyhive.ai/v1/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"metric": "<string>",
"func": "<string>",
"groupBy": "<string>",
"bucketing": "<string>",
"dateRange": {},
"query": [
{
"field": "<string>",
"value": "<string>",
"type": "<string>",
"operator": "<string>"
}
],
"owner_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"owner_profile": {}
}
}Charts
Create a new chart
POST
/
v1
/
charts
Create a new chart
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Display name for the chart
Maximum string length:
200Name of the metric to visualize
Minimum string length:
1Description of what the chart shows
Aggregation function to apply (e.g. sum, avg, median, min, max)
Field to group results by
Time bucket granularity for aggregation
Available options:
minute, hour, day, week, month Time range to query
- Option 1
- Option 2
Show child attributes
Show child attributes
Filters to apply to the chart data
Show child attributes
Show child attributes
ID of the user who owns this chart
Minimum string length:
1Was this page helpful?
⌘I

